<bugID>1300717<Summary>Errors occur when switching to other devtool tabs from the Performance tab after deleteing performance recording</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:51.0) Gecko/20100101 Firefox/51.0
Build ID: 20160905030222

Steps to reproduce:

1. Start Nightly
2. Go to any sites (e.g. about:home)
3. Open DevTools &gt; Performance
4. Start and stop recording
5. Clear recording
6. Switch to other devtool tabs from the Performance tab
7. Check errors in Browser Console
8. Switch to other devtool tabs from the Performance tab


Actual results:

In step 6, the following errors occur in Browser Console

NS_ERROR_FAILURE:   markers-overview.js:178
Error: A recording should be available in order to get the selection.  overview.js:152:13

In step 8, repeat error: "A recording should be available in order to get the selection."


Expected results:

No error</Description></bugID>